> For the complete documentation index, see [llms.txt](https://docs.tupayonline.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tupayonline.com/english/api-documentation/deposit/technical-aspects.md).

# Technical  Aspects

## Technical Considerations

* All API requests must be made over [HTTPS](http://en.wikipedia.org/wiki/HTTP_Secure). Calls made over plain HTTP will fail.
* API calls without Authentication will also fail.&#x20;
* You will only be able to make hits to our APIs from IPs that you have previously whitelisted from the Tupay Panel (or STG Tupay Panel).

## Environments

All integration must be performed from our STG environment, where you can test without risk of any kind.

When you register with us, we will generate an account in the STG environment where you will be able to do the following:

* View transactions created
* Approve and cancel transactions
* Whitelist your IPs, and more

### Endpoint domains

Each environment has its own domain. The path of the endpoints doesn't change.

| Environment | Domain                                 |
| ----------- | -------------------------------------- |
| Testing     | `https://api-stg.tupayonline.com/`     |
| Production  | Provided once you complete the testing |

{% hint style="info" %}
**Notes**

* You must use the STG Endpoint to integrate.
* &#x20;The STG and Production environments are not communicated in any way.&#x20;
* No transaction performed in the STG environment will be reflected in Production and vice versa.&#x20;
* API Credentials and configurations between environments are also different.
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tupayonline.com/english/api-documentation/deposit/technical-aspects.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
